---
title: "Dev Career Framework"
---

## Dev Career Framework

{{% include "includes/engineering/dev-career-matrix-nav.md" %}}

These are the expected competencies of the Dev Sub Department team members at GitLab by Job Title.
 
## Intermediate

- [Backend](/handbook/engineering/careers/matrix/development/dev/backend/intermediate/)
- [Frontend](/handbook/engineering/careers/matrix/development/dev/frontend/intermediate/)

## Senior

- [Backend](/handbook/engineering/careers/matrix/development/dev/backend/senior/)
- [Frontend](/handbook/engineering/careers/matrix/development/dev/frontend/senior/)

## Staff

- [Backend](/handbook/engineering/careers/matrix/development/dev/backend/staff/)
- [Frontend](/handbook/engineering/careers/matrix/development/dev/frontend/staff/)

## Principal

- [Principal Engineer](/handbook/engineering/careers/matrix/development/dev/principal/)

